public class Driver
{
   public static void main(String[] args)
   {
      POJO pojo = new POJO();
      System.out.println("--- pojo.method4(); ---");
      pojo.method4();
      System.out.println("--- pojo.method3(); ---");
      pojo.method3();
      System.out.println("--- pojo.method2(); ---");
      pojo.method2();
      System.out.println("--- pojo.method1(); ---");
      pojo.method1();
      System.out.println("--- pojo.recursive(); ---");
      pojo.recursive(1);
      System.out.println("--- new POJO(int); ---");
      new POJO(55);
   }
}
